Percona Server with XtraDB

Missing memcached plugins in 5.6 packages

Reported by Alexey Kopytov on 2013-03-25
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Percona Server
Status tracked in 5.6
5.1
Undecided
Unassigned
5.5
Undecided
Unassigned
5.6
High
Ignacio Nin

Bug Description

Memcached plugins are present in upstream 5.6 packages, but are missing in PS 5.6 ones:

$ ls mysql-5.6.10-linux-glibc2.5-x86_64/lib/plugin/{innodb_engine,libmemcached}.so
mysql-5.6.10-linux-glibc2.5-x86_64/lib/plugin/innodb_engine.so mysql-5.6.10-linux-glibc2.5-x86_64/lib/plugin/libmemcached.so

$ ls Percona-Server-5.6.10-alpha60.2-318.Linux.x86_64/lib/plugin/{innodb_engine,libmemcached}.so
ls: Percona-Server-5.6.10-alpha60.2-318.Linux.x86_64/lib/plugin/innodb_engine.so: No such file or directory
ls: Percona-Server-5.6.10-alpha60.2-318.Linux.x86_64/lib/plugin/libmemcached.so: No such file or directory

tags: added: pkg
PavelVD (pdobryakov) wrote :

Will memcache plugin included in GA Release ?

Alexey Kopytov (akopytov) wrote :

Pavel, it should. Targeting to the next PS 5.6 release.

tags: added: 56qual
jamaica (dm328) wrote :

Seems that there are still no libmemcached.so and innodb_engine.so in the latest deb packages.
5.6.16-64.2-569.wheezy

ls -la /usr/lib/mysql/plugin | egrep '(memcache|engine)' - nothing

May be I missing something?

dpkg --get-selections | grep -v deinstall | grep percona
libperconaserverclient18.1 install
percona-server-client-5.6 install
percona-server-common-5.6 install
percona-server-server-5.6 install
percona-server-source-5.6 install
percona-toolkit install

Alexey Kopytov (akopytov) wrote :

Indeed, reported as a new bug #1298200

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers